Subject: [bug#75160] [PATCH xorg-updates 000/109] Xorg updates

From: 宋文武 <[email-masked]>
Date: Mon, 30 Dec 2024 11:07:46 +0800

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> [email-masked] skribis:
>
>> Hello here are some Xorg updates, most tarballs had been switched from
>> bz2 to xz.  libpciaccess switched to the meson build system.  Due to
>> require lots of rust packages to be build, I haven't test xorg-server
>> and it's drivers, will push to 'core-updates' branch for CI later.
>
> Great work!  ‘core-updates’ is gone:
>
>   https://lists.gnu.org/archive/html/guix-devel/2024-08/msg00195.html
>
> I would suggest instead to:
>
>   1. Create an ‘xorg-updates’ branch with all the patches;

Done.

>
>   2. Send to guix-patches a “request for merging” that branch (info
>      "(guix) Managing Patches and Branches");
>
>   3. Shortly before it’s “your turn” according to
>      <https://qa.guix.gnu.org/>, get the branch built on ci.guix (you
>      can ask one of the sysadmins, just ping on IRC or guix-devel).

Okay, I'll rebase after 'mesa-updates' and 'rust-team' merged and do
handle it later.  Thank you!